# Command: references

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    references - Returns the number of references to a reference counted object.

Synopsis:

    array references -> array  integer
      dict  references -> dict   integer

Examples:

    << /x 0 >> dup references -> dict dict 2
      [ 0 ] dup references -> array array 2

Description:

    references returns the number of references to
      a reference counted object including potential self references.

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/typeinit.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative